Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class TooManyInstancesException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jain.protocol.ss7.SS7Exception
                        |
                        +--jain.protocol.ss7.oam.TooManyInstancesException

public class TooManyInstancesException
extends SS7Exception

This Exception is thrown whenever an attempt is made to set or create more elements than a particular implementation permits.

For example, invoking

     someMBean.setElement(int index, ElementType element);

with an index that is greater than the permitted number of elements,
or

     someMBean.setElement(ElementType[] elements);

where elements is an array with a size greater than the allowed size.

Similarly, all create() methods will throw this Exception if an attempt is made to create more instances of a particular Managed MBean than the implementation allows.

The Object Type will identify the Managed MBean that has caused this Exception to be thrown.

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Constructor Summary
`TooManyInstancesException(java.lang.String objectType)` Constructs a new `TooManyInstancesException` identifying the OAM Managed MBean type that caused the Exception to be thrown
`TooManyInstancesException(java.lang.String msg, java.lang.String objectType)` Constructs a new `TooManyInstancesException` with the specified detail message and the object Type of the managed object that caused the exception

Method Summary
`java.lang.String` | `getObjectType()` Returns an Type that identifies the Managed MBean type of which there are too many instances

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooManyInstancesException

    public TooManyInstancesException(java.lang.String objectType)

  Constructs a new `TooManyInstancesException` identifying the OAM Managed MBean type that caused the Exception to be thrown
  Parameters:
    `objectType` - the Object Type of the managed object

### TooManyInstancesException

    public TooManyInstancesException(java.lang.String msg,
                                     java.lang.String objectType)

  Constructs a new `TooManyInstancesException` with the specified detail message and the object Type of the managed object that caused the exception
  Parameters:
    `msg` - the message detail of this Exception.
    `objectType` - the Object Type of the managed object

Method Detail

### getObjectType

    public java.lang.String getObjectType()

  Returns an Type that identifies the Managed MBean type of which there are too many instances
  Returns:
    the Object Type of the managed object MBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems